Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExDefine.h File Reference

`#include <GL/glut.h>`
`#include <GL/gl.h>`
`#include <GL/glu.h>`
`#include <GL/glext.h>`
`#include <GL/glaux.h>`
`#include <GL/wglext.h>`
`#include <AL/al.h>`
`#include <AL/alc.h>`
`#include <AL/alut.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <iostream>`
`#include <fstream>`
`#include <ostream>`
`#include <string.h>`
`#include <time.h>`
`#include <strstream>`
`#include <typeinfo.h>`
`#include <string>`
`#include <algorithm>`
`#include <set>`
`#include <map>`
`#include <vector>`
`#include <list>`
`#include <stack>`
`#include <winsock2.h>`
`#include "ExCTrace.h"`
`#include "ExNihiloExecption.h"`

Go to the source code of this file.

## Defines
#define | VERSION "0.3"
#define | PREFIX "/usr/local/share"
#define | PI 3.1415926535897932384626433832795
#define | RENDER_TEXTURES_LIGHT 10001
#define | RENDER_TEXTURES 10002
#define | RENDER_TRIANGLES_LIGHT 10003
#define | RENDER_TRIANGLES 10005
#define | RENDER_POINTS 10006
#define | RENDER_LINES 10007
#define | RENDER_NO 10008
#define | CLEARCONSOL Consol.flush();
## Typedefs
typedef unsigned int | uint
typedef unsigned char | uchar
typedef unsigned char | byte
## Variables
PFNGLMULTITEXCOORD2FARBPROC | glMultiTexCoord2fARB
PFNGLACTIVETEXTUREARBPROC | glActiveTextureARB
PFNGLCLIENTACTIVETEXTUREARBPROC | glClientActiveTextureARB
std::ostrstream * | Consol

## Define Documentation

#define CLEARCONSOL Consol.flush();

| Definition at line 154 of file ExDefine.h.

#define PI 3.1415926535897932384626433832795

| Definition at line 107 of file ExDefine.h. Referenced by RadiansToDegrees().

#define PREFIX "/usr/local/share"

| Definition at line 47 of file ExDefine.h. Referenced by ExManagerEntite::LoadAsc(), ExManagerCommand::LoadCommandFile(), ExManagerCommand::LoadExecFile(), ExCTexture::LoadFile(), ExCMenu::LoadFile(), ExCInterface::LoadFile(), ExCMap::LoadMap(), ExManagerCommand::LoadSetOfFile(), and ExManagerConsole::LoadStringActionFile().

#define RENDER_LINES 10007

| Definition at line 142 of file ExDefine.h.

#define RENDER_NO 10008

| Definition at line 143 of file ExDefine.h.

#define RENDER_POINTS 10006

| Definition at line 141 of file ExDefine.h.

#define RENDER_TEXTURES 10002

| Definition at line 138 of file ExDefine.h.

#define RENDER_TEXTURES_LIGHT 10001

| Definition at line 137 of file ExDefine.h.

#define RENDER_TRIANGLES 10005

| Definition at line 140 of file ExDefine.h.

#define RENDER_TRIANGLES_LIGHT 10003

| Definition at line 139 of file ExDefine.h.

#define VERSION "0.3"

| Definition at line 43 of file ExDefine.h. Referenced by ExManagerConsole::Draw(), and ExManagerWindow::ExManagerWindow().

## Typedef Documentation

typedef unsigned char byte

| Definition at line 149 of file ExDefine.h. Referenced by ExCImageLoader::LoadTGA().

typedef unsigned char uchar

| Definition at line 148 of file ExDefine.h.

typedef unsigned int uint

| Definition at line 147 of file ExDefine.h. Referenced by ExManagerPVS::DrawAllObject(), ExCRandomNumber::getInt(), and LoadTGA().

## Variable Documentation

std::ostrstream* Consol

| Definition at line 153 of file ExDefine.h.

PFNGLACTIVETEXTUREARBPROC glActiveTextureARB

| Definition at line 68 of file ExDefine.h.

PFNGLCLIENTACTIVETEXTUREARBPROC glClientActiveTextureARB

| Definition at line 69 of file ExDefine.h.

PFNGLMULTITEXCOORD2FARBPROC glMultiTexCoord2fARB

| Definition at line 67 of file ExDefine.h.